> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/web/ms-office.md).

# MS Office

- [View and Convert Word, Excel, and PowerPoint Files with JavaScript](https://docs.apryse.com/web/ms-office/office.md): With Apryse SDK, developers can embed high-quality and fast Microsoft Office conversion in just a few lines of code. The Apryse Web SDK streamlines secure, serverless document processing with robust s
- [Open Excel, Word, and PPT Files with the JavaScript Viewer](https://docs.apryse.com/web/ms-office/open-office.md): Create, view, and manipulate Office documents using JavaScript with ease. Learn how to work with DOCX, XLSX, and PPTX files directly in your browser with WebViewer. The Apryse Web SDK streamlines secu
- [Create a New Word (DOCX) File Using JavaScript](https://docs.apryse.com/web/ms-office/create-docx-file.md): Create Word (DOCX) files using JavaScript with WebViewer. Edit MS Office documents without server-side dependencies or installations. Initialize the WebViewer constructor for a seamless editing experi
- [Convert MS Office (Word, Excel, PowerPoint) to PDF Using JavaScript](https://docs.apryse.com/web/ms-office/convert-office.md): Convert Microsoft Office files (Word, Excel, PowerPoint) to PDFs in-browser with Apryse's Web SDK, using WebViewer without third-party dependencies. Install WebViewer, configure it, and execute docume
- [Samples to view & convert Excel, Word & PowerPoint using JavaScript](https://docs.apryse.com/web/ms-office/samples.md): View and convert Excel, Word, and PowerPoint files effortlessly with JavaScript. Learn to load and manipulate documents using WebViewer constructor. Explore demos and source code for seamless integrat
- [API for Office Viewing & Conversion in JavaScript](https://docs.apryse.com/web/ms-office/apis.md): Learn about WebViewerInstance.loadDocument, Core.createDocument, and Core.officeToPDFBuffer methods for document loading and office conversion with PDFNet. Optimize your workflow with these powerful t


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/web/ms-office.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
